.advisory-section {
  background-color: var(--black);
  display: flex;
  flex-direction: column;
  grid-column: span 12;
  height: 100%;
  min-height: 100vh;
  justify-content: center;
  position: relative;
  width: 100%;
}

picture {
  position: absolute;
  width: 100%;
  height: 100%;
}

.advisory-section--image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.8;
  position: absolute;
  z-index: 0;

  filter: blur(0);
  transition: filter 1s, opacity 1s;
  will-change: filter, opacity;
}

.advisory-section.reveal .advisory-section--image {
  filter: blur(5px);
  opacity: 0.6;
}

.advisory-section--content {
  color: var(--white);
  display: flex;
  flex-direction: column;
  z-index: 1;
}

.advisory-section--content--title {
  grid-column: span 12;
  justify-self: center;
  margin-bottom: 24px;
  margin-top: 24px;
}

.advisory-section--content--expand-container {
  display: flex;
  flex-direction: column;
  grid-column: span 12;
  gap: 24px;
  overflow: hidden;
  position: relative;
}

.about-us-setion--content--expand-label {
  color: var(--white);
  display: none;
  align-self: center;
  position: absolute;
  z-index: 1;
}

.about-us-setion--content--expand-label:hover {
  color: var(--white);
}

.about-us-setion--content--expand-label-outside {
  color: var(--grey-200);
  grid-column: span 12;
  justify-self: center;

  opacity: 1;
  transition: opacity 1s;
  transition-delay: 1s;
}

.about-us-setion--content--expand-label-outside:hover {
  color: var(--white);
}

.advisory-section.reveal .about-us-setion--content--expand-label-outside {
  opacity: 0;
  transition: opacity 0s;
  transition-delay: 0s;
}

.advisory-section--content--details {
  width: 100%;
}


/* Accordion section ------------------------------------------------------------------------- */
.advisory-section--content--accordion-container {
  display: flex;
  flex-direction: column;
}

.advisory-section--content--accordion--title {
  margin-bottom: 24px;
}

.advisory-section--content--accordion--items {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.advisory-section--content--accordion--item--title {
  color: var(--grey-200);
}

.advisory-section--content--accordion--item.open .advisory-section--content--accordion--item--title {
  color: var(--white);
}

/* .advisory-section--content--accordion--item--details {
  margin: 0 0;
  transition: margin 0.5s;
}

.advisory-section--content--accordion--item.open .advisory-section--content--accordion--item--details {
  margin: 20px 0;
} */

.advisory-section--content--cta {
  border-color: var(--white);
  color: var(--white);
}

.advisory-section--content--cta:hover {
  border-color: var(--white);
  color: var(--white);
}


@media screen and (min-width: 768px) {
  .advisory-section {
    min-height: 50vh;
    transition: min-height 1s;
  }

  .advisory-section--content {
    padding-top: 60px;
    position: relative;
  }

  .advisory-section--content--title {
    grid-column: span 3;
    justify-self: start;
    position: absolute;
    margin-top: initial;
  }

  .advisory-section--content--expand-container {
    display: grid;
    column-gap: 12px;
    grid-template-columns: repeat(12, 1fr);
    grid-column: span 12;
    justify-self: start;
    min-height: 60px;
    grid-auto-rows: min-content;
  }

  .about-us-setion--content--expand-label {
    display: none;
  }

  .about-us-setion--content--expand-label-outside {
    color: var(--grey-200);
    display: initial;
    grid-column: span 9 / -1;
    justify-self: start;
    margin-top: 12px;
    opacity: 1;
    transition: opacity 1s;
    transition-delay: 1s;
  }

  .about-us-setion--content--expand-label-outside:hover {
    color: var(--white);
  }

  .advisory-section.reveal .about-us-setion--content--expand-label-outside {
    opacity: 0;
    transition: opacity 0.5s;
  }

  .advisory-section--content--details {
    grid-column: span 9 / -1;
    opacity: 1;
  }

  .advisory-section--content--accordion-container {
    grid-column: span 12;
    height: fit-content;
  }

  .advisory-section--content--accordion {
    display: grid;
    column-gap: 12px;
    grid-template-columns: repeat(12, 1fr);
  }

  .advisory-section--content--accordion--title {
    grid-column: span 3;
  }

  .advisory-section--content--accordion--items {
    grid-column: span 9;
  }

  .advisory-section--content--cta {
    grid-column: span 9 / -1;
    height: fit-content;
  }

  .scroll-down-icon {
    display: none;
  }
}

@media screen and (min-width: 1280px) {
  .advisory-section--content--accordion--item--title:hover {
    color: var(--white);
  }

  .advisory-section {
    filter: grayscale(1);
    min-height: 50vh;
    transition: min-height 1s, filter 1s;
  }

  .advisory-section:hover {
    filter: grayscale(0);
    min-height: 60vh;
  }

}

@media screen and (min-width: 1440px) {
  .advisory-section {
    filter: grayscale(1);
    min-height: 50vh;
    transition: min-height 1s, filter 1s;
  }

  .advisory-section:hover {
    filter: grayscale(0);
    min-height: 60vh;
  }

  .advisory-section--content--expand-container {
    grid-column: span 12;
  }

  /* .advisory-section.reveal .advisory-section--content--expand-container {
    max-height: 50vh;
    transition: max-height 2s;
  } */

  .advisory-section--content {
    transition: padding-top 1s;
  }

  .advisory-section.reveal .advisory-section--content {
    padding-top: 180px;
  }

  .advisory-section--content--details {
    grid-column: 4 / span 7;
  }

  .advisory-section--content--accordion--items {
    grid-column: span 7;
  }

  .scroll-down-icon {
    display: none;
  }
}